Subject: Re: Error "fatal: cannot pread pack file: Success"

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 28 Feb 2007 10:54:12 -0500

Bill Lear <[email-masked]> wrote:
> fatal: cannot pread pack file: Success [n=0; rdy=0; len=207]
> fatal: index-pack died with error code 128
> fetch-pack from '/home/rael/devel/fusion/.git' failed.

Bwhat?!?  Can you print out the offset and the size of the packfile?
It looks like your pack has been truncated?  Or is this just your
filesystem saying "nahh, I'm not going to give you that data right
now, try again later and maybe I will"?

I fail to see how a pread with a length of 207 is getting an EOF
return unless the packfile is short.

-- 
Shawn.